/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GRUPOEQUIPA                                              */
/* Tabela : GRUPOEQUIPA                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 10/09/2008 - Welbert G. Moitinha                                           */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_GRUPOEQUIPA
BEFORE INSERT OR UPDATE OR DELETE
ON GRUPOEQUIPA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUGRUPEQ := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMGRUPOEQUIPA,0) <> NVL(:NEW.NMGRUPOEQUIPA,0)) THEN
         :NEW.DTULTATUGRUPEQ := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('GRUPOEQUIPA', '', 'CDGRUPOEQUIPA='||:OLD.CDGRUPOEQUIPA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE GRUPOEQUIPA MODIFY DTULTATUGRUPEQ DEFAULT SYSDATE
/

UPDATE GRUPOEQUIPA SET DTULTATUGRUPEQ = SYSDATE WHERE DTULTATUGRUPEQ IS NULL
/


-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_GRUPOEQUIPA','5.05.016'); END;
/

